Observability

List Observability Sessions (POST)

Lists sessions based on filter criteria.

POST
/observability.sessions.list

Lists sessions based on filter criteria.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

type*string
Value in"mobile" | "web"
cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
limit?integer

The maximum number of sessions to return.

Formatint32
mode?string

The iteration mode to use. If "after", then entries after the provided cursor will be returned, or if no cursor is provided, then from the beginning. If "before", then entries before the provided cursor will be returned, or if no cursor is provided, then from the end. Entries will always be returned in the specified sort-by order.

Value in"after" | "before"
platform*string

The platform type for the device.

Value in"android" | "ios" | "web"
sort_by?array<string>

The fields to sort the sessions by and the direction to sort them.

version_key*string

The unique app ID to which the session belongs.

Formattext
Length1 <= length
app_version?array<string>

Filter by app versions.

created_at?|

Provides ways to specify date ranges on objects.

custom_events?
device_model?array<string>

Filter by device models.

has_exception_occurred?boolean

Filter by exception occurrence.

is_anonymous?boolean

Filter by anonymous users.

is_anr?boolean

Filter by ANR occurrence.

is_crash?boolean

Filter by crash occurrence.

manufacturer?array<string>

Filter by device manufacturers.

network_type?array<string>

Filter by network types.

os_version?array<string>

Filter by OS versions.

rage_tap?boolean

Filter by rage tap.

response_time_list?
rev_org?array<string>

Filter by Rev org.

rev_user?array<string>

Filter by Rev user.

screen_name?array<string>

Filter by screen name.

session_attributes?

Filter by session attributes.

session_duration?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/observability.sessions.list" \  -H "Content-Type: application/json" \  -d '{    "type": "mobile",    "platform": "android",    "version_key": "string"  }'
{
  "next_cursor": "string",
  "prev_cursor": "string",
  "sessions": [
    {
      "type": "mobile",
      "platform": "android",
      "session_id": "string",
      "created_at": "2023-01-01T12:00:00.000Z",
      "device_metadata": {
        "app_version": "string",
        "manufacturer": "string",
        "model": "string",
        "network_type": "string",
        "os_version": "string",
        "plug_sdk_version": "string",
        "screen_height": 0,
        "screen_width": 0,
        "sdk_version": "string"
      },
      "has_exception_occurred": true,
      "is_anr": true,
      "is_crash": true,
      "rage_tap": true,
      "recording_ids": [
        "string"
      ],
      "rev_org_id": "REV-AbCdEfGh",
      "rev_user_id": "string",
      "session_duration_ms": 0
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}